#ifndef GENERATED_ASN1SCC_Point_H
#define GENERATED_ASN1SCC_Point_H
/*
Code automatically generated by asn1scc tool
*/
#include "Eigen.h"
#include "taste-extended.h"
#include "taste-types.h"
#include "asn1crt.h"

#ifdef  __cplusplus
extern "C" {
#endif



typedef Vector3d Point;

#define Point_REQUIRED_BYTES_FOR_ENCODING       40 
#define Point_REQUIRED_BITS_FOR_ENCODING        314
#define Point_REQUIRED_BYTES_FOR_ACN_ENCODING   40 
#define Point_REQUIRED_BITS_FOR_ACN_ENCODING    314
#define Point_REQUIRED_BYTES_FOR_XER_ENCODING   228

void Point_Initialize(Point* pVal);
flag Point_IsConstraintValid(const Point* val, int* pErrCode);


 

/* ================= Encoding/Decoding function prototypes =================
 * These functions are placed at the end of the file to make sure all types
 * have been declared first, in case of parameterized ACN encodings
 * ========================================================================= */

flag Point_Encode(const Point* val, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints);
flag Point_Decode(Point* pVal, BitStream* pBitStrm, int* pErrCode); 


#ifdef  __cplusplus
}

#endif

#endif
